<?php

// Den direkten Aufruf verbieten
defined('_JEXEC') or die;

/**
 * Allgemeiner Controller der NoesisDb Komponente.
 */
class NoesisDbController extends JControllerLegacy
{
	/**
	 * Display task.
	 *
	 * @param bool $cachable
	 * @param bool $urlparams
	 *
	 * @return void
	 */
	function display($cachable = false, $urlparams = false)
	{
		$view = JRequest::getVar('view');
		$view = empty($view) ? 'teacher' : $view;

		if (strpos($view, 'teacher') === 0) {
			// Der Standardview wird gesetzt
			JRequest::setVar('view', JRequest::getCmd('view', 'Teachers'));
			// Die displaymethode der Elternklasse aufrufen
			parent::display($cachable, $urlparams);
			// Das Submenü generieren
			NoesisDbHelper::addSubmenu('teacher');
		}
		if (strpos($view,'discipline') === 0) {
			// Der Standardview wird gesetzt
			JRequest::setVar('view', JRequest::getCmd('view', 'Disciplines'));
			// Die displaymethode der Elternklasse aufrufen
			parent::display($cachable, $urlparams);
			// Das Submenü generieren
			NoesisDbHelper::addSubmenu('discipline');
		}
		if (strpos($view,'department') === 0) {
			// Der Standardview wird gesetzt
			JRequest::setVar('view', JRequest::getCmd('view', 'Departments'));
			// Die displaymethode der Elternklasse aufrufen
			parent::display($cachable, $urlparams);
			// Das Submenü generieren
			NoesisDbHelper::addSubmenu('department');
		}
	}
}
