<?php

// Den direkten Aufruf verbieten
defined('_JEXEC') or die;

// Die Joomla! Modelitem Klasse importieren
jimport('joomla.application.component.modelitem');

/**
 * Teacherlist Frontend Model
 */
class NoesisDbModelTeacherlist extends JModelList
{
	/**
	 * @var string msg
	 */
	protected $items;

	public function getItems() {
		if (!isset($this->items)) {
			$this->_db->setQuery(
				$this->_db->getQuery(true)
				->from('#__noesisdb_teachers as t')
				->select('t.*, d1.discipline as dd1, d2.discipline as dd2, d3.discipline as dd3, d4.discipline as dd4')
				->leftJoin('#__noesisdb_disciplines as d1 on d1.shortcut=t.discipline1')
				->leftJoin('#__noesisdb_disciplines as d2 on d2.shortcut=t.discipline2')
				->leftJoin('#__noesisdb_disciplines as d3 on d3.shortcut=t.discipline3')
				->leftJoin('#__noesisdb_disciplines as d4 on d4.shortcut=t.discipline4')
				->order('t.surname, t.firstname')
			);

			$this->items = $this->_db->loadObjectList();

			if (!$this->items) {
				$this->setError($this->_db->getError());
			}
		}
		return $this->items;
	}
}
