<?php

// Den direkten Aufruf verbieten
defined('_JEXEC') or die;

// Die Joomla! Viewbibliothek importieren
jimport('joomla.application.component.view');

/**
 * HTML View class for the NoesisDb Component
 */
class NoesisDbViewNoesisDb extends JViewLegacy
{
	/**
	 * @var JPagination
	 */
	protected $pagination;

	// Die JView display Methode wird überschrieben
	function display($tpl = null)
	{
		$discipline = JRequest::getVar('fach');
		if (empty($discipline))
			$discipline = JRequest::getVar('discipline');
		if (!empty($discipline)) {
			// Die Daten werden vom Model bezogen
			$this->item = $this->get('Item');
			$this->teachers = $this->get('Teachers');
			$this->supervisor = $this->get('Supervisor');
			$this->supervisor2 = $this->get('Supervisor2');
			$this->leader = $this->get('Leader');
			$this->leader2 = $this->get('Leader2');
			// Der View wird angezeigt
			parent::display($tpl);
		}
		else {
			// Ein JPagination Objekt beziehen
			$this->pagination = $this->get('Pagination');

			$view = JRequest::getVar('view');
			if (empty($view))
				$view = JRequest::getVar('anzeige');
			if (!empty($view)) {
				$this->teacherlist = $this->get('TeacherList');
				// Der View wird angezeigt
				parent::display($tpl);
			}
		}
	}
}
